#include <iostream>
using namespace std;
int main(){
    int n,k;
    cin >> n >> k;
    int karte[n];
    for(int i = 0; i < n; i++) cin >> karte[i];
    for(int i = 0; i < n; i++){
        if(karte[i] == k){
            if(i == n-1) printf("%d", karte[0]);
            else printf("%d", karte[i+1]);
        }
    }
}